package ru.skipy.tests.ui;

import ru.skipy.tests.ui.border.GradientBorder;

import javax.swing.*;
import java.awt.*;

/**
 * GradientBorderTest
 *
 * @author Eugene Matyushkin aka Skipy
 * @version $Id: $
 * @since 22.12.2010
 */
public class GradientBorderTest extends JFrame {

    public GradientBorderTest() {
        super("Gradient border test");
        JPanel cp = new JPanel(new BorderLayout());
        cp.setBorder(BorderFactory.createEmptyBorder(10, 10, 10, 10));
        setContentPane(cp);
        JPanel testPanel = new JPanel();
        testPanel.setBackground(Color.green);
        testPanel.setBorder(new GradientBorder(10, Color.red, Color.blue));
        cp.add(testPanel, BorderLayout.CENTER);
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        setSize(500, 400);
        setLocationRelativeTo(null);
    }

    public static void main(String[] args) {
        new GradientBorderTest().setVisible(true);
    }

}
